/*

Código fuente creado por JailDesigner
Empezado en Castalla el 01/07/2022.

*/

#include <memory>
#include <string>
#include <vector>

#include "core/system/director.hpp"

auto main(int argc, char* argv[]) -> int {
    // Convierte argumentos a formato moderno C++
    std::vector<std::string> args(argv, argv + argc);

    // Crea el objeto Director
    auto director = std::make_unique<Director>(args);

    // Bucle principal
    return Director::run();
}
